Summary:	High dynamic-range (HDR) image file format support libraries
Summary(pl.UTF-8):	Biblioteki obsługujące format plików obrazu o wysokiej dynamice (HDR)
Name:		OpenEXR
Version:	1.7.0
Release:	1
License:	BSD
Group:		Libraries
Source0:	http://download.savannah.nongnu.org/releases/openexr/openexr-%{version}.tar.gz
# Source0-md5:	27113284f7d26a58f853c346e0851d7a
#Patch0:		gcc4.patch
Patch0:		%{name}-gcc4.patch
URL:		http://www.openexr.com/
BuildRequires:	autoconf >= 2.50
BuildRequires:	automake >= 1.6.3
BuildRequires:	ilmbase-devel >= 1.0.2
BuildRequires:	libstdc++-devel
BuildRequires:	libtool
BuildRequires:	pkgconfig
BuildRequires:	zlib-devel
Requires:	ilmbase >= 1.0.2
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
OpenEXR is a high dynamic-range (HDR) image file format developed by
Industrial Light & Magic for use in computer imaging applications.
OpenEXR is used by ILM on all motion pictures currently in production.
The first movies to employ OpenEXR were Harry Potter and the Sorcerers
Stone, Men in Black II, Gangs of New York, and Signs. Since then,
OpenEXR has become ILM's main image file format.

%description -l pl.UTF-8
OpenEXR to format plików obrazu o wysokiej dynamice (HDR - High
Dynamic-Range) stworzony przez Industrial Light & Magic do używania w
aplikacjach do grafiki komputerowej. OpenEXR jest używany przez ILM do
wszystkich aktualnie produkowanych obrazów ruchomych. Pierwszymi
filmami wykorzystującymi OpenEXR były Harry Potter and the Sorcerers
Stone, Men in Black II, Gangs of New York oraz Signs. Od tamtego czasu
OpenEXR stał się głównym formatem obrazu ILM.

%package devel
Summary:	Header files for OpenEXR libraries
Summary(pl.UTF-8):	Pliki nagłówkowe bibliotek OpenEXR
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	ilmbase-devel >= 1.0.2
Requires:	libstdc++-devel
Requires:	zlib-devel

%description devel
Header files for OpenEXR libraries.

%description devel -l pl.UTF-8
Pliki nagłówkowe bibliotek OpenEXR.

%package static
Summary:	Static OpenEXR libraries
Summary(pl.UTF-8):	Statyczne biblioteki OpenEXR
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
Static OpenEXR libraries.

%description static -l pl.UTF-8
Statyczne biblioteki OpenEXR.

%package progs
Summary:	OpenEXR utilities
Summary(pl.UTF-8):	Narzędzia do obrazów OpenEXR
Group:		Applications/Graphics
Requires:	%{name} = %{version}-%{release}

%description progs
OpenEXR utilities.

%description progs -l pl.UTF-8
Narzędzia do obrazów OpenEXR.

%prep
%setup -q -n openexr-%{version}
%patch0 -p1

%build
%{__libtoolize}
%{__aclocal} -I m4
%{__autoconf}
%{__automake}
%configure

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc AUTHORS COPYING ChangeLog NEWS README
%attr(755,root,root) %{_libdir}/libIlmImf.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libIlmImf.so.6

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libIlmImf.so
%{_libdir}/libIlmImf.la
%{_includedir}/OpenEXR/Imf*.h
%{_includedir}/OpenEXR/OpenEXRConfig.h
%{_aclocaldir}/openexr.m4
%{_pkgconfigdir}/OpenEXR.pc

%files static
%defattr(644,root,root,755)
%{_libdir}/libIlmImf.a

%files progs
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/exr2aces
%attr(755,root,root) %{_bindir}/exrenvmap
%attr(755,root,root) %{_bindir}/exrheader
%attr(755,root,root) %{_bindir}/exrmakepreview
%attr(755,root,root) %{_bindir}/exrmaketiled
%attr(755,root,root) %{_bindir}/exrmultiview
%attr(755,root,root) %{_bindir}/exrstdattr
%changelog
* Wed Oct 13 2010 Jakub Bogusz <qboosh@pld-linux.org> 0c7bd0c
- updated to 1.7.0
- old gcc4 patch obsolete, added new one

* Mon Oct 26 2009 Szymon Siwek <sls@pld-linux.org> bef185c
- added gcc4.patch

* Thu Feb 14 2008 Elan Ruusamäe <glen@pld-linux.org> c524183
- release 2

* Sun Jan 13 2008 Jakub Bogusz <qboosh@pld-linux.org> 4b0117e
- updated to 1.6.1
- removed obsolete patches
- base libs now in ilmbase.spec, exrdisplay moved to openexr_viewers

* Sun Jan 13 2008 Jakub Bogusz <qboosh@pld-linux.org> b242dfc
- moved to ilmbase

* Sun Jan 13 2008 Jakub Bogusz <qboosh@pld-linux.org> 0103184
- obsolete

* Mon Apr 16 2007 Paweł Sikora <pluto@pld-linux.org> bf21f0a
- rebuild to fix libstdc++ implementation change (_ZNSo9_M_insertEPKcl).
- release 2.

* Mon Feb 12 2007 Elan Ruusamäe <glen@pld-linux.org> 3d1c3f2
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> f64b4fd
- converted to UTF-8

* Sun Feb 11 2007 Arkadiusz Miśkiewicz <arekm@maven.pl> c1656e5
- fix devel pl descs

* Sun Feb 04 2007 Jakub Bogusz <qboosh@pld-linux.org> 56036b8
- more verbose files
- automake already copies config.sub

* Tue Jan 02 2007 Arkadiusz Miśkiewicz <arekm@maven.pl> d1f16d1
- up to 1.4.0a

* Tue Jan 02 2007 Arkadiusz Miśkiewicz <arekm@maven.pl> b758c5c
- up

* Sat Nov 25 2006 Arkadiusz Miśkiewicz <arekm@maven.pl> e83de5b
- rel 5

* Sun Jul 30 2006 Arkadiusz Miśkiewicz <arekm@maven.pl> 55dde1d
- rel 4; link libraries between themselfs

* Sun Jul 30 2006 Arkadiusz Miśkiewicz <arekm@maven.pl> ae930ce
- link with required libs

* Fri Apr 07 2006 undefine <undefine@pld-linux.org> b81c17a
- fixed build

* Tue Dec 27 2005 Paweł Sikora <pluto@pld-linux.org> ce64f9a
- release 3.

* Tue Dec 06 2005 Paweł Sikora <pluto@pld-linux.org> 9a9d595
- gcc4 fix.

* Tue Dec 06 2005 Paweł Sikora <pluto@pld-linux.org> 2751653
- build fix.

